package say

import (
	"git.lxtend.com/qqbot/constants"
	"git.lxtend.com/qqbot/handler"
	"git.lxtend.com/qqbot/model"
)

func init() {
	handler.RegisterHandler("kw", say, constants.LEVEL_TRUSTED)
}

func say(msg model.Message) (reply model.Reply) {
	if len(msg.RawMsg) <= len("kw ") {
		return model.Reply{}
	}
	return model.Reply{
		ReplyMsg:       "记下了",
		ReferOriginMsg: true,
		FromMsg:        msg,
	}
}
